# eric7.MicroPython.IgnoredDevicesDialog

Module implementing a dialog to manage the list of ignored serial devices.

### Global Attributes

None

### Classes

IgnoredDevicesDialog | Class implementing a dialog to manage the list of ignored serial devices.

### Functions

None

## IgnoredDevicesDialog

Class implementing a dialog to manage the list of ignored serial devices.

### Derived from

QDialog, Ui_IgnoredDevicesDialog

### Class Attributes

None

### Class Methods

None

### Methods

IgnoredDevicesDialog | Constructor
getDevices | Public method to get the list of ignored serial devices.

### Static Methods

None

#### IgnoredDevicesDialog (Constructor)

IgnoredDevicesDialog(deviceList, parent=None)

Constructor

deviceList (list of tuple of (int, int))
  list of ignored serial devices given by VID and PID
parent (QWidget)
  reference to the parent widget

#### IgnoredDevicesDialog.getDevices

getDevices()

Public method to get the list of ignored serial devices.

Return:
  list of tuples containing the VID, PID and a description of each ignored device

Return Type:
  list of tuple of (int, int, str)

Up